USRP Hardware Driver and USRP Manual: string_vector.h File Reference

| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Typedefs | Functions
string_vector.h File Reference
`#include <uhd/config.h>`
`#include <uhd/error.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Typedefs
typedef struct uhd_string_vector_t | uhd_string_vector_t
typedef uhd_string_vector_t * | uhd_string_vector_handle

## Functions
UHD_API uhd_error | uhd_string_vector_make (uhd_string_vector_handle *h)
| Instantiate a string_vector handle.
UHD_API uhd_error | uhd_string_vector_free (uhd_string_vector_handle *h)
| Safely destroy a string_vector handle.
UHD_API uhd_error | uhd_string_vector_push_back (uhd_string_vector_handle *h, const char *value)
| Add a string to the list.
UHD_API uhd_error | uhd_string_vector_at (uhd_string_vector_handle h, size_t index, char *value_out, size_t strbuffer_len)
| Get the string at the given index.
UHD_API uhd_error | uhd_string_vector_size (uhd_string_vector_handle h, size_t *size_out)
| Get the number of strings in this list.
UHD_API uhd_error | uhd_string_vector_last_error (uhd_string_vector_handle h, char *error_out, size_t strbuffer_len)
| Get the last error reported by the underlying object.

## Typedef Documentation

## ◆ uhd_string_vector_handle

typedef uhd_string_vector_t* uhd_string_vector_handle

## ◆ uhd_string_vector_t

typedef struct uhd_string_vector_t uhd_string_vector_t

## Function Documentation

## ◆ uhd_string_vector_at()

UHD_API uhd_error uhd_string_vector_at | ( | uhd_string_vector_handle | h,
|  | size_t | index,
|  | char * | value_out,
|  | size_t | strbuffer_len )

Get the string at the given index.

## ◆ uhd_string_vector_free()

UHD_API uhd_error uhd_string_vector_free | ( | uhd_string_vector_handle * | h | ) |

Safely destroy a string_vector handle.

## ◆ uhd_string_vector_last_error()

UHD_API uhd_error uhd_string_vector_last_error | ( | uhd_string_vector_handle | h,
|  | char * | error_out,
|  | size_t | strbuffer_len )

Get the last error reported by the underlying object.

## ◆ uhd_string_vector_make()

UHD_API uhd_error uhd_string_vector_make | ( | uhd_string_vector_handle * | h | ) |

Instantiate a string_vector handle.

## ◆ uhd_string_vector_push_back()

UHD_API uhd_error uhd_string_vector_push_back | ( | uhd_string_vector_handle * | h,
|  | const char * | value )

Add a string to the list.

## ◆ uhd_string_vector_size()

UHD_API uhd_error uhd_string_vector_size | ( | uhd_string_vector_handle | h,
|  | size_t * | size_out )

Get the number of strings in this list.